<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_6</title>
</head>
<body>
    <h1>Ejercicio 6</h1>
    <script>
    /*6)Programa una función para contar el nuemero de veces que se repite una
    palabra en untexto largo, pe. miFuncion('hola mundo adios mundo', 'mundo') 
    devolverá 2.*/

    const repitePalabra = (cadena = "", palabra = "") => {

        if (!cadena) return console.warn("No se ingreso un texto");
        if (!palabra) return console.warn("No se ingreso una palabra a evaluar");

        let i = 0,
         cont = 0;

         while (i !== -1) {
            i = cadena.indexOf(palabra, i);
            if (i !== -1) {
                i++;
                cont ++;
            } 
         }
         return console.log(`La palabra: ${palabra} se repite: ${cont} `);
    }
    
    repitePalabra("hola mundo adios mundo", "mundo");

    </script>
    
</body>
</html>